package com.xy.controller.demo;


import com.xy.controller.demo.common.ServerResponseEntity;
import com.xy.controller.demo.param.DemoDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.Extension;
import io.swagger.annotations.ExtensionProperty;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("order")
@Api(value = "订单模块", position = 0)
public class DemoController {

    @ApiOperation(value = "提交订单信息，application/json", notes = "提交订单信息，application/json", extensions = {
            // 指定维护人
            @Extension(name = "author", properties = {
                    @ExtensionProperty(name = "谭斌", value = "")
            }),
            // 指定错误码
            @Extension(name = "code", properties = {
                    @ExtensionProperty(name = "100001", value = "id错误"),
                    @ExtensionProperty(name = "100002", value = "错误描述2"),
                    @ExtensionProperty(name = "100003", value = "错误描述3")
            })
    })
    @PostMapping("create")
    public ServerResponseEntity<DemoDTO> create(@RequestBody DemoDTO orderDTO) {
        return ServerResponseEntity.success(orderDTO);
    }


}
