package com.xy.controller.demo.common;


public enum ResponseEnum {

    /**
     * ok
     */
    OK("00000", "ok"),

    /**
     * 用于直接显示提示用户的错误，内容由输入内容决定
     */
    SHOW_FAIL("A00001", ""),

    /**
     * 方法参数没有校验，内容由输入内容决定
     */
    METHOD_ARGUMENT_NOT_VALID("A00002", ""),

    /**
     * 无法读取获取请求参数
     */
    HTTP_MESSAGE_NOT_READABLE("A00003", "请求参数格式有误"),

    /**
     * 未授权
     */
    UNAUTHORIZED("A00004", "请登录"),

    /**
     * 服务器出了点小差
     */
    EXCEPTION("A00005", "服务器出了点小差"),

    /**
     * 数据异常
     */
    DATA_ERROR("A00007", "数据异常，请刷新后重新操作"),

    /**
     * 一些需要登录的接口，而实际上因为前端无法知道token是否已过期，导致token已失效时， 应该返回一个状态码，告诉前端token已经失效了，及时清理
     */
    CLEAN_TOKEN("A00008", "clean token"),

    /**
     * 刷新token已过期
     */
    REFRESH_TOKEN_EXIST("A00009", "refresh token exist"),

    /**
     * 数据不完整
     */
    DATA_INCOMPLETE("A00010", "数据不完整"),

    /**
     *
     */
    OPERATION_NOT_ALLOWED("A00011", "不允许当前操作"),


    /**
     * 01开头代表活动
     * 活动未在进行中
     */
    ACTIVITY_NOT_ONGOING("A01000", "活动未在未发布或未在进行中"),

    /**
     * 该活动信息不存在
     */
    ACTIVITY_NON_EXISTENT("A01001", "该活动信息不存在"),

    /**
     * 活动仅未发布和下线情况下能编辑
     */
    ACTIVITY_CANNOT_EDIT("A01002", "活动仅未发布和下线情况下能编辑"),

    /**
     * 活动仅未发布和下线情况下能编辑
     */
    ACTIVITY_CANNOT_DELETE("A01003", "活动未发布情况下可删除"),

    /**
     * 活动仅未上线和已下线情况下可发布
     */
    ACTIVITY_CANNOT_PUBLISH("A01004", "活动仅未上线和已下线情况下可发布"),

    /**
     * 活动上线时分类ID不能为空
     */
    ACTIVITY_TYPE_NON_EXISTENT("A01005", "活动上线时分类ID不能为空"),

    /**
     * 修改活动状态定时任务创建失败
     */
    ACTIVITY_STATUS_JOB("A01006", "修改活动状态定时任务创建失败"),

    /**
     * 该活动不能进行当前操作
     */
    ACTIVITY_CANNOT_OPERATE("A01007", "该活动不能进行当前操作"),

    /**
     * 该活动不能进行终止操作操作
     */
    ACTIVITY_CANNOT_TERMINATE("A01008", "该活动不能进行终止操作操作"),

    /**
     * 活动删除定时任务失败
     */
    ACTIVITY_JOB_DELETE_FAIL("A01009", "活动删除定时任务失败"),

    /**
     * 活动已下线
     */
    ACTIVITY_OFFLINE("A01010", "活动已下线"),

    /**
     * 02开头代表票种
     * 超出票种时间范围
     */
    TICKET_EXCEED_RANGE("A02000", "超出该票种购买时间范围"),


    /**
     * 超出票种购买数量
     */
    TICKET_COUNT_RANGE("A02001", "超出票种购买数量"),

    /**
     * 票种数据异常
     */
    TICKET_DATA_ERROR("A02002", "未知网络原因未能成功购买票据"),

    /**
     * 库存不足，票种库存不足
     */
    NOT_STOCK("A02003", "票种库存不足"),

    /**
     * 票种信息不能为空
     */
    TICKET_NULL("A02004", "票种信息不能为空"),

    /**
     * 已达到当前最高参与人数
     */
    TICKET_EXCEED("A02005", "已达到当前最高参与人数"),

    /**
     * 超出购买限制
     */
    TICKET_EXCEED_MAX("A02005", "超出购买限制"),

    /**
     * 票种库存异常
     */
    TICKET_STOCK_ERROR("A02006", "票种库存异常"),

    /**
     * 03开头代表活动场次
     * 超出活动场次时间范围
     */
    SCREENING_EXCEED_RANGE("A03000", "超出活动场次时间范围"),

    /**
     * 请勿重复提交订单， 1.当前端遇到该异常时，说明前端防多次点击没做好 2.提示用户 订单已发生改变，请勿重复下单
     */
    REPEAT_ORDER("A03002", "please don't repeat order"),

    /**
     * 订单已过期，当前端看到该状态码的时候，提示订单信息已过期，请重新确认后提交，此时用户点击确定，前端刷新页面。
     */
    ORDER_EXPIRED("A03003", "order expired"),

    /**
     * 订单已支付，无法取消订单
     */
    ORDER_PAYED("A03007", "order payed"),

    /**
     * 订单未发货，无法确认收货
     */
    ORDER_NO_DELIVERY("A03008", "order no delivery"),

    /**
     * 活动场次状态定时任务创建失败
     */
    SCREENING_STATUS_JOB("A03009", "活动场次状态定时任务创建失败"),

    /**
     * 活动场次删除定时任务失败
     */
    SCREENING_JOB_DELETE_FAIL("A03010", "活动场次删除定时任务失败"),

    /**
     * 场次信息不能为空
     */
    SCREENING_NULL("A03011", "场次信息不能为空"),

    /**
     * 该当场次已结束
     */
    SCREENING_ENDED("A03012", "该当场次已结束"),

    /**
     * Banner图片最多上传五张
     */
    BANNER_IMG_MAXSIZE("A03013", "Banner图片最多上传五张"),

    /**
     * 当前状态不可执行该操作
     */
    BANNER_STATUS_ILLEGALITY("A03014", "Banner当前状态不可执行该操作"),

    /**
     * 当前bannner只剩一张不可删除
     */
    BANNER_NOT_DELE("A03021", "当前bannner只剩一张不可删除"),


    BANNER_NOT_LINE("A03022", "当前上线bannner只剩一张不可下线"),

    ADVERTISEMENT_NOT_LINE("A03023", "仅允许上线一个开屏广告"),

    ADVERTISEMENT_NOT_DELETE("A03024", "上线广告不允许删除"),

    CHOICENESS_MAXSIZE("A03015", "精选推荐最多6个产品"),

    CHOICENESS_STATUS_ILLEGALIT("A03016", "当前状态不可执行该操作"),

    /**
     * 订单未支付
     */
    ORDER_NOT_PAYED("A03012", "order not payed"),


    /**
     * 订单支付失败
     */
    PAY_OREDER_FAIL("A03013", "微信统一支付失败"),

    /**
     * 没有查询权限
     */
    REFUND_NOT_PERMISSION("A03024", "refund not permission"),


    /**
     * 04开头代表订单
     */
    ORDER_NOT_EXIST("A04000", "订单不存在"),

    /**
     * 订单已支付，无法取消订单
     */
    ORDER_PAID("A04001", "只有未支付的订单能发起支付"),

    /**
     * 订单已失败
     */
    ORDER_HAS_FAILED("A04013", "未知网络原因订单未能生成"),


    /**
     * 撤销失败 当前状态不允许此操作
     */
    REFUND_STATUS_CHECK("A04034", "当前订单状态不允许此操作"),

    /**
     * 撤销失败 未找到相关活动信息
     */
    REFUND_NOT_ACTIVITY("A04035", "失败,未找到相关活动信息"),

    /**
     * 撤销失败,超出可退款时间范围
     */
    REFUND_TIME_RANGE("A04036", "失败,已超过可退款时间范围"),

    /**
     * 撤销失败 票卷信息有误
     */
    REFUND_NOT_TICKET("A04037", "票卷信息有误不请核查后进行操作"),

    /**
     * 撤销失败,票卷状态不符合
     */
    REFUND_STATUS_TICKET("A04038", "票卷已使用或已失效"),

    REFUND_MAX_COUNT("A04039", "该订单已超过最大申请次数"),

    REFUND_FILL_MESSAGE("A04040", "请填写原因"),

    REFUND_ORDER_NOT("A04041", "0元单无需退款"),

    /**
     * 有些时候第三方系统授权之后，会有个临时的key，比如小程序的session_key
     * 这个异常代表session_key过期，前端遇到这个问题的时候，应该再次调用社交登录的接口，刷新session_key
     */
    BIZ_TEMP_SESSION_KEY_EXPIRE("A04002", "biz temp session key expire"),

    /**
     * 账号未注册，前端看到这个状态码，弹出选择框，提示用户账号未注册，是否进入注册页面，用户选择是，进入注册页面
     */
    ACCOUNT_NOT_REGISTER("A04003", "account not register");

    private final String code;

    private final String msg;

    public String value() {
        return code;
    }


    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    ResponseEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String toString() {
        return "ResponseEnum{" + "code='" + code + '\'' + ", msg='" + msg + '\'' + "} "
                + super.toString();
    }

}
